Package org.eclipse.birt.report.engine.emitter

# Interface IEmitterServices

public interface IEmitterServices
Defines interface to supply emitters with necessary information

## Method Summary

Modifier and Type
Method
Description
`HashMap`
`getEmitterConfig()`
TODO: review, return IEmitterConfig, by format.
`Object`
`getOption(String name)`
`Object`
`getRenderContext()`
Deprecated.
the user should use getReportContext().getRenderContext() to get the render options.
`IRenderOption`
`getRenderOption()`
`org.eclipse.birt.report.engine.api.script.IReportContext`
`getReportContext()`
`IReportEngine`
`getReportEngine()`
`String`
`getReportName()`
`IReportRunnable`
`getReportRunnable()`

## Method Details

### getEmitterConfig

HashMap getEmitterConfig()
TODO: review, return IEmitterConfig, by format.

Returns:
  emitter configuration of engine

### getRenderOption

IRenderOption getRenderOption()

Returns:
  render options

### getReportName

String getReportName()

Returns:
  the current report name

### getRenderContext

@Deprecated Object getRenderContext()
Deprecated.
the user should use getReportContext().getRenderContext() to get the render options.

Returns:
  render context

### getReportRunnable

IReportRunnable getReportRunnable()

Returns:
  the report runnable

### getOption

Object getOption(String name)

Parameters:
  `name` - option name
Returns:
  option value

### getReportContext

org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

### getReportEngine

IReportEngine getReportEngine()